Subject: [Sip] Notifier Privacy Mechanism puzzle

From: [email-masked]
Date: Mon, 26 May 2003 09:07:08 GMT

Hi all, 

   I have a question about section 5.2 Notifier Privacy Mechanism in RFC3265 

   <quote> 

  The mere act of returning a 200 or certain 4xx and 6xx responses to
  SUBSCRIBE requests may, under certain circumstances, create privacy
  concerns by revealing sensitive policy information. 

   </quote> 

   I do not unstand why it says a 4xx or 6xx response can reveal sensitive 
policy information, for example, the notifier send a 403 Forbidden or 401 
Unauthorization , can this cause policy problem? I think no. If it can , 
anybody give me some explanations? 

  Thanks. 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Mon, 26 May 2003 15:59:20 +0300

You might not want watchers to know that you have rejected their subscription to your presence info. Sending a 4xx - 6xx to the subscription will reveal such information. Sending a 2xx followed by a NOTIFY with bogus info may not reveal that sensitive policy information.

/Hisham

> -----Original Message-----
> From: ext [email-masked] [mailto:[email-masked]]
> Sent: Monday, May 26, 2003 12:07 PM
> To: [email-masked]
> Subject: [Sip] Notifier Privacy Mechanism puzzle
> 
> 
> Hi all, 
>